<?php

namespace App\Http\Controllers\Admin\TCM;

use App\Http\Controllers\Controller;
use App\Repositories\Models\TCM\Combinations;
use App\Repositories\Models\TCM\Drug;
use App\Repositories\Models\TCM\MedicalRecord;
use App\Repositories\Models\TCM\Patient;
use App\Repositories\Models\TCM\Prescription;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Jiannei\Response\Laravel\Support\Facades\Response;

/**
 * Class CategoriesController.
 *
 * @package namespace App\Http\Controllers\TCM;
 */
class AnalyseController extends Controller
{
    /**
     * Author: Mead
     */
    public function index()
    {
        $admin_id = login_user_id();

        $patient_nums = Patient::query()->where('admin_id', $admin_id)->count();
        $medical_record_nums = MedicalRecord::query()->where('admin_id', $admin_id)->count();
        $prescription_nums = Prescription::query()->where('admin_id', $admin_id)->count();
        $drug_nums = Drug::query()->count();

        return Response::success(compact('patient_nums', 'drug_nums', 'medical_record_nums', 'prescription_nums'));
    }

    public function drug(Request $request)
    {
        $count = $request->get('count', 1);

        $model = Combinations::query()->where('count', $count);
        $admin_id = login_user_id();
        if ($admin_id != 1) {
            $model = $model->where('admin_id', $admin_id);
        }

        $data = $model->groupBy('name')->select(DB::raw('name,count(*) as nums,count'))->orderByDesc('nums')->paginate(self::PAGE_NUM);
        return Response::success($data);
    }
}
