<?php

namespace App\Repositories\Criteria\TCM;

use Illuminate\Http\Request;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class CategoryCriteria.
 *
 * @package namespace App\Repositories\Criteria\TCM;
 */
class CategoryCriteria implements CriteriaInterface
{
    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function __construct(Request $request = null)
    {
        if (is_null($request)) {
            $this->request = \request();
        } else {
            $this->request = $request;
        }
    }

    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
        if ($title = $this->request->get('title')) {
            $model = $model->where('title', 'like', "%{$title}%");
        }

        if (($status = $this->request->get('status', false)) !== false) {
            $model = $model->where('status', '=', $status);
        }

        if ($parent_id = $this->request->get('parent_id', false)) {
            $model = $model->where('parent_id', '=', $parent_id);
        }

        $model = $model->orderByDesc('sort')->orderByDesc('id');

        return $model;
    }
}
