<?php

namespace App\Repositories\Eloquent\Base;

use App\Repositories\Criteria\Base\MenuCriteria;
use App\Repositories\Presenters\Base\MenuPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Base\MenuRepository;
use App\Repositories\Models\Base\Menu;
use App\Repositories\Validators\Base\MenuValidator;

/**
 * Class MenuRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Base;
 */
class MenuRepositoryEloquent extends BaseRepository implements MenuRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Menu::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return MenuValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(MenuCriteria::class));
        $this->setPresenter(MenuPresenter::class);
    }

}
