<?php

namespace App\Repositories\Eloquent\Course;

use App\Repositories\Criteria\Course\AttachCriteria;
use App\Repositories\Presenters\Course\AttachPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Course\AttachRepository;
use App\Repositories\Models\Course\Attach;
use App\Repositories\Validators\Course\AttachValidator;

/**
 * Class CourseAttachRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent;
 */
class AttachRepositoryEloquent extends BaseRepository implements AttachRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Attach::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return AttachValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(AttachCriteria::class));
        $this->setPresenter(AttachPresenter::class);
    }

}
