<?php

namespace App\Repositories\Eloquent\User;

use App\Contracts\Repositories\User\UserRepository;
use App\Repositories\Criteria\User\UserCriteria;
use App\Repositories\Models\User\User;
use App\Repositories\Presenters\User\UserPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Repositories\Validators\User\StudentValidator;

/**
 * Class StudentRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\User;
 */
class UserRepositoryEloquent extends BaseRepository implements UserRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return User::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return StudentValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(UserCriteria::class));
        $this->setPresenter(UserPresenter::class);
    }

}
