<?php

namespace App\Repositories\Models\Course;

use App\Repositories\Models\Model;
use App\Repositories\Models\User\User;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Course.
 *
 * @package namespace App\Repositories\Models;
 */
class UserRecord extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'course_user_records';

    protected static function booted()
    {
        self::language();
    }


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */

    protected $guarded = [];

    public function course()
    {
        return $this->belongsTo(Course::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
