<?php

namespace App\Repositories\Transformers\Base;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Base\Department;

/**
 * Class DepartmentTransformer.
 *
 * @package namespace App\Repositories\Transformers;
 */
class DepartmentTransformer extends TransformerAbstract
{
    /**
     * Transform the Department entity.
     *
     * @param \App\Repositories\Models\Department $model
     *
     * @return array
     */
    public function transform(Department $model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'parent_id' => $model->parent_id,
//            'parent_name' => $model->parent ? $model->parent->name : '',
            'sort' => $model->sort,
            'status' => $model->status,
            /* place your other model properties here */

            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
