<?php

namespace App\Repositories\Validators\Base;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class MenuValidator.
 *
 * @package namespace App\Repositories\Validators\Base;
 */
class MenuValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'parent_id' => 'required|integer',
            'name' => 'required',
            'zh_title' => 'required',
            'en_title' => 'required',
            'path' => 'required',
            'component' => 'required',
            'redirect' => 'nullable',
            'meta' => 'required',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'parent_id' => 'required|integer',
            'name' => 'required',
            'zh_title' => 'required',
            'en_title' => 'required',
            'path' => 'required',
            'component' => 'required',
            'redirect' => 'nullable',
            'meta' => 'required',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
    ];
}
