<?php

namespace App\Repositories\Validators\CMS;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class CategoryValidator.
 *
 * @package namespace App\Repositories\Validators\CMS;
 */
class CategoryValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'parent_id' => 'required|integer',
            'link' => 'nullable',
            'key' => 'nullable',
            'type' => 'required',
            'is_single' => 'required|integer',
            'is_nav' => 'required|integer',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'parent_id' => 'required|integer',
            'link' => 'nullable',
            'key' => 'nullable',
            'type' => 'required',
            'is_single' => 'required|integer',
            'is_nav' => 'required|integer',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
    ];
}
