<?php

namespace App\Repositories\Validators\Course;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class CourseValidator.
 *
 * @package namespace App\Repositories\Validators;
 */
class CourseValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'category_id' => 'required',
            'title' => 'required',
            'labels' => 'sometimes',
            'thumb' => 'required|integer',
            'short_description' => '',
            'description' => '',
            'published_at' => 'sometimes|date',
            'is_rec' => 'required|integer',
            'comment_status' => 'required|integer',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'category_id' => 'required',
            'title' => 'required',
            'labels' => 'sometimes',
            'thumb' => 'required',
            'short_description' => '',
            'description' => '',
            'published_at' => 'sometimes|date',
            'is_rec' => 'required|integer',
            'comment_status' => 'required|integer',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
    ];
}
